import { ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { ControlValueAccessor, FormGroupDirective, NgForm } from '@angular/forms';
export declare class ValueAccessor implements ControlValueAccessor, OnDestroy {
    protected element: ElementRef;
    /**
     * Enable two-way binding
     */
    readonly valueChange: EventEmitter<any>;
    protected lastValue: any;
    private readonly parent;
    private formSub;
    private onChange;
    private onTouched;
    constructor(element: ElementRef, parentForm: NgForm, parentGroup: FormGroupDirective);
    ngOnDestroy(): void;
    writeValue(value: any): void;
    onChangeEvent(value: any): void;
    onAnjBlur(): void;
    registerOnChange(fn: (value: any) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    checkValidity(): void;
}
